/*
Theme Name: GeneratePress Child
Theme URI: https://generatepress.com
Template: generatepress
Author: Principios Interactivos
Author URI: https://principiosactivos.com/
Version: 3.3.131
Updated: 2024-01-19 13:34:58
*/

/* :root */
:root {
	--white-color: #fff;
	--black-color: #000;
    --red-color: #ed2a24;
	--pink-color: #ffd8ff;
	--yellow-color: #fffad8;
	--font-family-title-1: 'National 2 Black', sans-serif; /* MAL */
	--font-family-title-2: 'National 2 Compressed Extrabold', sans-serif;
	--font-family-text-1: 'National 2 Compressed Bold', sans-serif;
	--font-family-text-2: 'FF Good Pro Cond Medium', sans-serif;
}
/* END - :root */


/* General styles */
body {
	background-color: var(--white-color);
}

h1 {
	color: var(--pink-color) !important;
	font-size: calc((3vw + 1.25em) * 1);
	font-family: var(--font-family-title-1) !important;
}

/*@media (max-width: 425px) {
	h1 {
		font-size: calc((3vw + 1.25em) * 1);
	}
}*/

h1 > span {
	color: var(--red-color) !important;
	text-shadow: -1px 0 white, 0 1px white, 1px 0 white, 0 -1px white;
}

h2, h3, h4, h5, h6 {
	font-weight: normal !important;
	color: var(--pink-color) !important;
	font-family: var(--font-family-title-2) !important;
}

h2, h3 {
	font-size: calc((2vw + 2.25em) * 1);
}

body, p, input, select, textarea {
	color: var(--black-color);
	font-family: var(--font-family-text-2) !important;
}

p {
	font-size: 23px;
}

.mayus-text h2,
.mayus-text p {
	text-transform: uppercase !important;
}

.pink-text p,
.pink-text a {
	color: var(--pink-color) !important;
}

.red-text h1,
.red-text h2,
.red-text h3,
.red-text div,
.red-text p,
.red-text a,
span.red-text {
	color: var(--red-color) !important;
}

.extra-big-text-2 p {
	font-size: calc(5vw + 3em);
	font-family: var(--font-family-title-1) !important;
}

@media (max-width: 1024px) {
	.extra-big-text-2 p {
		font-size: calc(5vw + 3em);
	}
}

@media (max-width: 768px) {
	.extra-big-text-2 p {
		font-size: calc(5vw + 4em);
	}
}

@media (max-width: 425px) {
	.extra-big-text-2 p {
		font-size: calc(3.2vw + 4em);
	}
}

@media (max-width: 320px) {
	.extra-big-text-2 p {
		font-size: calc(3.2vw + 3em);
	}
}

.extra-big-text span,
.extra-big-text h2,
.extra-big-text p {
	font-size: calc(8.2vw + 2.5em);
	font-family: var(--font-family-title-2) !important;
}

@media (max-width: 1024px) {
	.extra-big-text span,
	.extra-big-text h2,
	.extra-big-text p {
		font-size: calc(8.2vw + 2.7em);
	}
}

@media (max-width: 768px) {
	.extra-big-text span,
	.extra-big-text h2,
	.extra-big-text p {
		font-size: calc(8.2vw + 4.2em);
	}
}

@media (max-width: 425px) {
	.extra-big-text span,
	.extra-big-text h2,
	.extra-big-text p {
		font-size: calc(12.8vw + 3em);
	}
}

@media (max-width: 320px) {
	.extra-big-text span,
	.extra-big-text h2,
	.extra-big-text p {
		font-size: calc(3.2vw + 4em);
	}
}

.big-text-1 p,
.big-text-1 h2 {
	font-size: calc(0.5vw + 1.8em);
	margin-bottom: 0;
}

.big-text-2 p,
.big-text-2 h2 {
	font-size: calc(0.5vw + 1.4em);
}

.big-text-3 p,
.big-text-3 h2 {
	font-size: calc(0.5vw + 1.2em);
}

.small-text-1 p {
	font-size: 15px;
}

.width-100 a {
	width: 100%;
}

@media (min-width: 1025px) {
	.site-content {
		padding-top: 90px;
	}
	
	.home .site-content {
		padding-top: 0;
	}
}
/* END - General styles */


/* Main menu */
#masthead {
	position: fixed !important;
    right: 0;
    left: 0;
	background-color: var(--red-color);
	/*background-color: transparent;*/
    /*box-shadow: rgb(0 0 0 / 13%) 0 3px 9px;*/
}

#masthead a {
	font-family: var(--font-family-text-1);
}

#masthead svg {
	width: 130px;
	fill: var(--black-color);
}

#masthead ul li a {
	color: var(--pink-color);
	display: inline-block;
    padding: 0 0.9em;
    text-transform: uppercase;
    font-size: 29px;
	line-height: 29px;
    font-weight: 700;
    letter-spacing: .025em;
    white-space: nowrap;
    text-align: center;
}

@media (min-width: 1025px) {
	#masthead .menu-header-left ul,
	#masthead .menu-header-right ul {
		display: flex;
		justify-content: center;
	}

	#masthead .menu-header-left ul li,
	#masthead .menu-header-right ul li {
		margin: 0 0.5rem;
	}
}

@media (max-width: 1024px) {
	#masthead .hfe-nav-menu.hfe-nav-menu-layout {
		/*height: 70px;*/
	}
	
	#masthead .hfe-nav-menu-icon {
		margin-right: -30px;
		padding: 15px 0 0 0;
	}
	
	#masthead .hfe-nav-menu__submenu-arrow.hfe-dropdown {
		/*margin-top: 27px;*/
		background-color: var(--black-color) !important;
	}
	
	#masthead ul {
		padding: 20px;
	}
	
	#masthead ul li {
		text-align: center;
		border-bottom: none;
		margin: 10px 0 10px 0;
	}
	
	#masthead ul li a {
		background-color: transparent;
		overflow: hidden;
		white-space: initial;
	}
	
	#masthead ul span {
		margin: auto;
		position: relative;
	}

	#masthead ul img {
		content:url(https://www.larealbcn.com/wp-content/uploads/2024/06/menu-sep-red-icon.svg);
	}
}
/* END - Main menu */


/* Language Switcher */
@media (max-width: 1024px) {
	#masthead .e-con-inner, #masthead .cpel-switcher__list {
		padding: 0px;
	}
}

#masthead .cpel-switcher__lang--active a {
	color: var(--red-color) !important;
}
/* END - Language Switcher */


/* Buttons */
/*.primary-button a span,
.glovo-button a span,
.uber-eats-button a span {
	font-size: 40px;
	font-family: var(--font-family-text-1) !important;
}*/

.primary-button a,
.glovo-button a,
.uber-eats-button a {
	width: 310px;
	border-radius: 10px;
	font-size: 40px !important;
	padding: 20px 30px !important;
    letter-spacing: .025em;
	font-family: var(--font-family-text-1) !important;
}

@media (max-width: 425px) {
	.primary-button a, .glovo-button a, .uber-eats-button a {
		font-size: 26px !important; 
	}
}

.primary-button a,
.primary-button a:hover {
	color: var(--pink-color) !important;
	background-color: var(--red-color) !important;
}

/*.secondary-button a,
.secondary-button a:hover {
	color: var(--black-color) !important;
	background-color: var(--white-color) !important;
}

.tertiary-button a,
.tertiary-button a:hover {
	color: var(--white-color) !important;
	background-color: var(--red-color) !important;
}*/

.glovo-button a,
.glovo-button a:hover {
	color: #00a082 !important;
	background-color: #ffc244 !important;
}

.uber-eats-button a,
.uber-eats-button a:hover {
	color: var(--black-color) !important;
	background-color: #06c167 !important;
}
/* END - Buttons */


/* Icons */

/* END - Icons */


/* Whatsapp button */
#float-whatsapp-btn {
    display: block;
    position: fixed;
	width: 5pc;
    bottom: 20px;
    right: 0;
	z-index: 99;
    transition: all .25s ease-out;
}

/* IMG horizontal con texto
 * #float-whatsapp-btn {
    display: block;
    position: fixed;
    width: 20pc;
    bottom: 20px;
    right: 0;
	z-index: 99;
    transform: translateX(235px);
    transition: all .25s ease-out;
}

@media (min-width: 1025px) {
	#float-whatsapp-btn:hover {
    	transform: translateX(0);
    	transition: all .4s ease-out;
	}
}
*/
/* END - Whatsapp button */


/* HOME - Banner */
.banner-text-home .extra-big-text-2 {
	margin-top: -38px;
}
/* END - HOME - Banner */


/* HOME - Promos y bestsellers - Texto en movimiento */
.marquee-promo-best {
  	width: 100%;
  	overflow: hidden;
}

.marquee-promo-best li {
	font-family: var(--font-family-title-2);
	color: var(--pink-color);
	display: ruby;
}

.marquee-promo-best li span {
	font-family: var(--font-family-title-1);
}

@media (max-width: 425px) {
	.marquee-promo-best li {
		font-size: 30px;
		/*letter-spacing: 6px;*/
	}
	
	.marquee-promo-best img.home-icon-1 {
		width: 40px;
	}
	
	.marquee-promo-best img.home-icon-2 {
		width: 20px;
	}
}

@media (min-width: 426px) and (max-width: 768px) {
	.marquee-promo-best li {
		font-size: 70px;
		/*letter-spacing: 10px;*/
	}
}

@media (min-width: 769px) {
	.marquee-promo-best li {
		font-size: 80px;
		/*letter-spacing: 16px;*/
	}
}

.marquee-content-promo-best {
	display: flex;
  	list-style: none;
  	animation: promo-best 20s linear infinite;
}

@media (max-width: 768px) {
	.marquee-content-promo-best {
		animation: promo-best 10s linear infinite;
	}
}

.marquee-item-promo-best {
  	flex-shrink: 0;
}

@keyframes promo-best {
  	0% {transform: translateX(0)}
  	100% {transform: translateX(-100%)}
}
/* END - HOME - Promos y bestsellers - Texto en movimiento */


/* HOME - Bestsellers - Imágenes y textos en movimiento */
.marquee-best {
  	width: 100%;
  	overflow: hidden;
}

.marquee-best li {
	text-align: center;
}

.marquee-best li h3 {
	font-size: calc((1.5vw + 1.5em) * 1);
}

.marquee-content-best {
	width: 100%;
	display: flex;
	flex-wrap: nowrap;
  	list-style: none;
  	animation: bestsellers 20s linear infinite;
}

@media (max-width: 768px) {
	.marquee-best li {
		margin-right: -280px;
	}
	
	.marquee-content-best img {
		width: 50%;
	}
	
	.marquee-content-best {
		animation: bestsellers 10s linear infinite;
	}
}

.marquee-item-best {
  	flex-shrink: 0;
}

@keyframes bestsellers {
  	0% {transform: translateX(0%)}
  	100% {transform: translateX(-100%)}
}
/* END - HOME - Bestsellers - Imágenes y textos en movimiento */


/* Vídeo cover background */
.video-cover-bg video {
	height: 100vh !important;
    object-fit: cover;
    width: 100vw;
}
/* END - Vídeo cover background */


/* Página CARTA */
.carta-contenido h3 {
	font-size: 34px;
	margin-bottom: -15px;
	color: var(--red-color) !important;
	font-family: var(--font-family-title-1);
}

@media (max-width: 425px) {
	.carta-contenido p {
		font-size: 15px;
	}
}

.carta-precio strong {
	border: 3px solid var(--red-color);
    border-radius: 10px;
    padding: 7px 20px;
}

@media (max-width: 425px) {
	.carta-precio strong {
		border: 3px solid var(--red-color);
		padding: 7px 5px;
	}
}

@media (max-width: 768px) {
	.page-id-59 h3 {
		font-size: 24px;
	}
}

#popmake-1833 {
	border: 0;
	padding: 0;
	box-shadow: none;
	background-color: transparent;
}

#popmake-1833 .pum-close {
	top: -20px;
	left: 45.5%;
	height: 35px;
    width: 35px;
	font-size: 35px;
	border: 0;
    border-radius: 0;
	background-color: var(--red-color);
}

.iconos-alergenos {
	margin-top: -40px;
    margin-bottom: 30px;
}

.iconos-alergenos .elementor-icon {
	margin-right: -15px;
}

.nueva-texto {
	margin-top: -40px;
}

.page-id-59 .red-text.mayus-text > div {
	display: flex;
}

@media (min-width: 1025px) {
	.page-id-59 .red-text.mayus-text span {
		margin-top: 15px;
		padding: 0 15px 0 15px;
	}

	.page-id-59 .red-text.mayus-text span img {
		height: 40px;
	}
}

@media (min-width: 769px) and (max-width: 1024px) {
	.page-id-59 .red-text.mayus-text span {
		margin-top: 15px;
		padding: 0 15px 0 15px;
	}

	.page-id-59 .red-text.mayus-text span img {
		height: 30px;
	}
}

@media (max-width: 768px) {
	.page-id-59 .red-text.mayus-text span {
		margin-top: 10px;
		padding: 0 15px 0 15px;
	}

	.page-id-59 .red-text.mayus-text img {
		height: 26px;
	}
}
/* END - Página CARTA */


/* Página RESERVAS */
#iframe-reserva-eixample,
#iframe-reserva-poblenou {
	display: none;
}
/* END - Página RESERVAS */


/* Página RESERVAS */
.page-id-62 h2,
.page-id-2863 h2,
.page-id-2980  h2 {
	color: var(--red-color) !important;
}
/* END - Página RESERVAS */


/* Test */
.columns__item {
    opacity: 1;
    transition: all .2s ease-in-out;
}

.columns__item {
	position: relative;
	padding-left: 1rem;
	padding-right: 1rem;
}

.slider__item {
	will-change: transform;
}

.slider__item img {
	height: 10vw;
	width: auto;
	max-width: initial;
	max-height: 200px;
}

/* Banner de cookies */
#moove_gdpr_cookie_info_bar {
	border: none !important;
	border-radius: 0 !important;
	box-shadow: rgb(0 0 0 / 13%) 0 3px 9px;
}
/* END - Banner de cookies */


/* Páginas de políticas y Error 404 */
.page-id-101 .site .content-area, .page-id-103 .site .content-area, .page-id-106 .site .content-area {
	margin-top: 100px;
}

.page-id-101 h1, .page-id-103 h1, .page-id-106 h1,
.page-id-101 h2, .page-id-103 h2, .page-id-106 h2,
.page-id-101 h3, .page-id-103 h3, .page-id-106 h3,
.page-id-101 h4, .page-id-103 h4, .page-id-106 h4,
.page-id-101 .entry-content a, .page-id-103 .entry-content a, .page-id-106 .entry-content a {
	color: var(--red-color) !important;
}

.page-id-101 h1, .page-id-103 h1, .page-id-106 h1,
.page-id-101 h2, .page-id-103 h2, .page-id-106 h2 {
	font-size: calc((0.5vw + 2.25em) * 1);
}

.page-id-101 h3, .page-id-103 h3, .page-id-106 h3,
.page-id-101 h4, .page-id-103 h4, .page-id-106 h4 {
	font-size: calc((0.3vw + 2.25em) * 1);
}

.page-id-101 .entry-content li, .page-id-103 .entry-content li, .page-id-106 .entry-content li {
	font-size: 23px;
}

.error404 .site-main {
	margin-bottom: -20px !important;
}
/* END - Páginas de políticas y Error 404 */


/* Footer */
.site-footer p,
.site-footer a {
	font-family: var(--font-family-text-1) !important;
}

.site-footer a {
	font-size: 20px;
	text-transform: uppercase;
	color: var(--pink-color) !important;
}

.site-footer svg {
	width: 22px;
	height: 22px;
}

.site-footer p {
	font-size: 14px;
	letter-spacing: 1px;
	color: var(--white-color);
}

@media (max-width: 425px) {
	.site-footer .hfe-nav-menu.hfe-layout-horizontal ul {
		display: flex;
		justify-content: center;
	}
}
/* END - Footer */


/* Tipografías */
@font-face {
font-family: 'National 2 Black';
src: url(https://www.larealbcn.com/wp-content/themes/generatepress-child/fonts/national-2-black.woff2);
}

@font-face {
font-family: 'National 2 Compressed Extrabold';
src: url(https://www.larealbcn.com/wp-content/themes/generatepress-child/fonts/national-2-compressed-extrabold.woff2);
}

@font-face {
font-family: 'National 2 Compressed Bold';
src: url(https://www.larealbcn.com/wp-content/themes/generatepress-child/fonts/national-2-compressed-bold.woff2);
}

@font-face {
font-family: 'FF Good Pro Cond Medium';
src: url(https://www.larealbcn.com/wp-content/themes/generatepress-child/fonts/FFGoodProCond-Medium.ttf);
}
/* END - Tipografías */